gists {gistr} | R Documentation

## List gists

### Description

List public gists, your own public gists, all your gists, by gist id, or query by date.

### Usage

    gists(what = "public", since = NULL, page = NULL, per_page = 30, ...)

### Arguments

`what` | (character) What gists to return. One of public, minepublic, mineall, or starred. If an id is given for a gist, this parameter is ignored.
`since` | (character) A timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ. Only gists updated at or after this time are returned.
`page` | (integer) Page number to return.
`per_page` | (integer) Number of items to return per page. Default 30. Max 100.
`...` | Curl options passed on to `GET`

### Details

When `what = "mineall"`, we use `getOption("github.username")` internally to get your GitHub user name. Make sure to set your GitHub user name as an R option like `options(github.username = "foobar")` in your `.Rprofile` file. If we can't find you're user name, we'll stop with an error.

### Examples

    ## Not run:
    # Public gists
    gists()
    gists(per_page=2)
    gists(page=3)
    # Public gists created since X time
    gists(since='2014-05-26T00:00:00Z')
    # Your public gists
    gists('minepublic')
    gists('minepublic', per_page=2)
    # Your private and public gists
    gists('mineall')
    # Your starred gists
    gists('starred')
    # pass in curl options
    gists(per_page=1, config=verbose())
    gists(per_page=1, config=timeout(seconds = 0.5))

    ## End(Not run)

[Package gistr version 0.4.0 Index]